clear
close all
clc

%% Load the output of Plot_Raw.m with the dataset scan_210224_1200
load('D:\Luca\Analysis\Jerry\For Luca\NH2\Sample 18\5\Gold\scan_210224_1200\scan_210224_1200.mat')
savepath = 'D:\Luca\SURFdrive\Dissertation\Chap 2\amplifier\';


%% Plots full traces

n1 = 820;
n2 = 151;
F1 = figure('Position',[50 50 800 600]);
box on
hold on

semilogy(G(n1).d_breaking,G(n1).g_breaking)
semilogy(G(n2).d_breaking+1,G(n2).g_breaking)

set(gca,'yscale','log')
ylim([1e-8 3])
xlim([-0.5 2.5])
saveas(F1,[savepath 'example_empty_full_trace' '.eps'],'epsc')

%% Plots conductance steps
n1 = 820;
n2 = 151;
n3 = 837;

F2 = figure('Position',[50 50 800 600]);
box on
hold on

plot(G(n1).d_breaking,G(n1).g_breaking)
plot(G(n2).d_breaking+0.5,G(n2).g_breaking)
plot(G(n3).d_breaking+1.0,G(n3).g_breaking)

xlim([-0.5 1.5])
ylim([0 5])
saveas(F2,[savepath 'example_G0_steps' '.eps'],'epsc')
%% for tests

n = 15; %148 151 820 855 837

for n = 820:860
figure('Position',[50 50 800 600]);
box on

semilogy(G(n).d_breaking,G(n).g_breaking)
title(num2str(n))
end